package com.pqs9900.mapper.message;

import com.pqs9900.pojo.message.MsgBaseConfDTO;
import com.pqs9900.pojo.message.MsgTypeTemplateDTO;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;

/**
* @Author chendaofei
* @Description 短信配置
* @Date 10:03 2020/5/12
**/
public interface MsgCofMapper {

    /**
     * @Author chendaofei
     * @Description 获取短信基本配置
     * @Date 10:19 2020/5/12
     **/
    MsgBaseConfDTO getMsgConfig();
    /**
     * @Author chendaofei
     * @Description 添加短信配置
     * @Date 10:19 2020/5/12
     **/
    Integer addMsgConfig(MsgBaseConfDTO msgBaseConfDTO);
    /**
    * @Author chendaofei
    * @Description 修改短信配置
    * @Date 10:19 2020/5/12
    **/
    Integer updateMsgCofig(MsgBaseConfDTO msgBaseConfDTO);



    /**
    * @Author chendaofei
    * @Description 获取短信配置模板
    * @Date 10:40 2020/5/12
    **/
    List<MsgTypeTemplateDTO> getMsgDicdataList(@Param("msgType") Integer msgType,@Param("state")Integer state);


    /**
     * @Author chendaofei
     * @Description 检查是否存在模板
     * @Date 10:40 2020/5/12
     **/
    Integer checkHasDicdata(@Param("msgName") String msgName, @Param("msgType") Integer msgType);

    /**
    * @Author chendaofei
    * @Description 删除模板
    * @Date 10:42 2020/5/12
    **/
   Integer delMsgDicBytype(@Param("msgIndex") String msgIndex);

    /**
    * @Author chendaofei
    * @Description 修改模板状态
    * @Date 10:45 2020/5/12
    **/
   Integer updateMsgDicState(@Param("list") List<String> list);
    /**
     * @Author chendaofei
     * @Description 全部修改为不启用
     * @Date 10:45 2020/5/12
     **/
   Integer updateMsgDicState2();

    /**
    * @Author chendaofei
    * @Description 新增模板
    * @Date 10:47 2020/5/12
    **/
   Integer addMsgDicdata(MsgTypeTemplateDTO msgTypeTemplateDTO);

   Integer updateSendMsgTime(Date date);

}
